Loading...
Searching...
No Matches
CompilerOptions Struct Reference

Settings which control how a Compiler class object behaves. More...

`#include <openvdb_ax/compiler/CompilerOptions.h>`

## Public Types

enum class | OptLevel { NONE , O0 , O1 , O2 , Os , Oz , O3 }
| Controls the llvm compiler optimization level. More...

## Public Attributes

OptLevel | mOptLevel = OptLevel::O3
bool | mVerify = true
| If this flag is true, the generated llvm module will be verified when compilation occurs, resulting in an exception being thrown if it is not valid.
FunctionOptions | mFunctionOptions = FunctionOptions()
| Options for the function registry.

## Detailed Description

Settings which control how a Compiler class object behaves.

## Member Enumeration Documentation

## OptLevel

enum class OptLevel

strong

Controls the llvm compiler optimization level.

Enumerator
NONE |
O0 |
O1 |
O2 |
Os |
Oz |
O3 |

## Member Data Documentation

## mFunctionOptions

FunctionOptions mFunctionOptions = FunctionOptions()

Options for the function registry.

## mOptLevel

OptLevel mOptLevel = OptLevel::O3

## mVerify

bool mVerify = true

If this flag is true, the generated llvm module will be verified when compilation occurs, resulting in an exception being thrown if it is not valid.